%define version 2.11.0
%define release %mkrel 1

%define build_evolution 0

%define build_silc 1

%define build_dbus 1

%define build_meanwhile 1

%define build_mono 0

%define build_vv 1

%define build_gadu 1

%{?_without_evolution: %{expand: %%global build_evolution 0}}
%{?_with_evolution: %{expand: %%global build_evolution 1}}

%{?_without_silc: %{expand: %%global build_silc 0}}
%{?_with_silc: %{expand: %%global build_silc 1}}

%{?_without_dbus: %{expand: %%global build_dbus 0}}
%{?_with_dbus: %{expand: %%global build_dbus 1}}

%{?_without_meanwhile: %{expand: %%global build_meanwhile 0}}
%{?_with_meanwhile: %{expand: %%global build_meanwhile 1}}

%{?_without_mono: %{expand: %%global build_mono 0}}
%{?_with_mono: %{expand: %%global build_mono 1}}

%{?_without_vv: %{expand: %%global build_vv 0}}
%{?_with_vv: %{expand: %%global build_vv 1}}

%{?_without_gadu: %{expand: %%global build_gadu 0}}
%{?_with_gadu: %{expand: %%global build_gadu 1}}

%define perl_version %(rpm -q --qf '%%%{VERSION}' perl)

%define major 0
%define libname %mklibname purple %{major}
%define develname %mklibname purple -d
%define console_app finch
%define lib_console_app %mklibname %{console_app} %{major}



Summary: 	A GTK+ based multiprotocol instant messaging client
Summary(de):	Ein auf GTK+ basierender Mehrfachprotokoll Sofortnachrichten-Client.
Name: 		pidgin
Version: 	%{version}
Release: 	%{release}
Group: 		Networking/Instant messaging
License: 	GPL
URL: 		http://pidgin.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.xz
Patch0: pidgin-2.7.0-smiley.patch
Patch3: %{name}-2.4.2-set-jabber-as-module.patch
Patch15: %{name}-fix-perl-build.patch
Patch111: %{name}-2.8.0-reread-resolvconf.patch
Patch115: %{name}-2.10.0-gg-search-by-uin.patch
Patch116: %{name}-2.8.0-gg-disconnect.patch
Patch119: pidgin-2.5.3-present.patch
Patch120:	 pidgin-gstreamer.patch
Patch121:	 pidgin-gtkmedia.patch
#------------------------------------------------------
BuildRequires: %{_lib}xscrnsaver-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}avahi-client-devel
BuildRequires: %{_lib}avahi-common-devel
BuildRequires: %{_lib}avahi-glib-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}farstream-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gnutls-devel
BuildRequires: %{_lib}gstreamer-plugins-base0.10-devel
BuildRequires: %{_lib}gstreamer0.10_0.10-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkspell-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}idn-devel
BuildRequires: %{_lib}ncursesw-devel
BuildRequires: %{_lib}nspr-devel
BuildRequires: %{_lib}nss-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}sasl2-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}tcl-devel
BuildRequires: %{_lib}tk-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
#------------------------------------------------------
BuildRequires:  perl-devel
BuildRequires:  startup-notification-devel
BuildRequires:  ImageMagick
BuildRequires:  krb5-devel
BuildRequires:  gettext-devel
BuildRequires:  %{_lib}expat1-devel
%ifarch x86_64
BuildRequires:  howl-devel >= 0.6.30
%else
BuildRequires:  libavahi-compat-howl-devel
%endif
BuildRequires:  doxygen
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
#----------------------------------------------------
Conflicts:	carrier
Requires:	%{libname} >= %{version}-%{release}
Requires:	cyrus-sasl
Requires:	%{_lib}sasl2-plug-anonymous
Requires:	%{_lib}sasl2-plug-crammd5
Requires:	%{_lib}sasl2-plug-digestmd5
Requires:	%{_lib}sasl2-plug-gssapi
Requires:	%{_lib}sasl2-plug-ldapdb
Requires:	%{_lib}sasl2-plug-login
Requires:	%{_lib}sasl2-plug-ntlm
Requires:	%{_lib}sasl2-plug-otp
Requires:	%{_lib}sasl2-plug-plain
Requires:	%{_lib}sasl2-plug-sasldb
Requires:	%{_lib}sasl2-plug-sql
Obsoletes: 	%{name} < %version

%if %build_meanwhile
BuildRequires: %{_lib}meanwhile-devel
%else
BuildConflicts:	%{_lib}meanwhile-devel
%endif
%if %build_evolution
BuildRequires:	evolution-data-server-devel
%endif
%if %build_dbus
BuildRequires:	dbus-devel >= 0.50
%endif
%if %build_mono
BuildRequires:	mono-devel
%endif
%if %build_gadu
BuildRequires: %{_lib}gadu-devel >= 1.12.0
%endif

Obsoletes:	gaim
Obsoletes:	libgaim0
Provides:	gaim
Requires: glibc >= 2.20

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols, including AIM (Oscar and TOC), ICQ, IRC, Yahoo!,
MSN Messenger, Jabber, Gadu-Gadu, Napster, and Zephyr.  These
protocols are implemented using a modular, easy to use design.
To use a protocol, just load the plugin for it.

Pidgin supports many common features of other clients, as well as many
unique features, such as perl scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.

#german
%description -l de
Pidgin erlaubt Gespräche zu jedem, auch unter Verwendung von verschiedenen
Nachtichtenprotokollen, inklusive AIM (Oscar und TOC), ICQ, IRC, Yahoo!,
MSN Messenger, Jabber, Gadu-Gadu, Napster, und Zephyr. Diese Protokolle
sind implementiert und verwenden ein modulares, einfach zu benutzendes
Design. Um ein Protokoll zu verwenden, müssen sie nur die Erweiterung
dafür laden. Pidgin unterstützt viele normalen Funktionen von anderen
Clienten, als auch einmalige Funktionen, wie Perl Skripte und C
Erweiterungen. Pidgin ist nicht zugeordnet oder gutgeheißen von
America Online, Inc., Microsoft Corporation, Yahoo! Inc., oder ICQ Inc.

%package	perl
Summary:	Pidgin extension, to use perl scripting
Summary(de):	Pidgin Erweiterung, zur Verwendung von Perl Skripten.
Group: 		Networking/Instant messaging
Obsoletes:	gaim-perl
Provides:	gaim-perl
Requires: 	%name = %version-%release

%description	perl
Pidgin can use perl script as plugin, this plugin enable them.

#german
%description	perl -l de
Pidgin kann Perlskript als Erweiterung verwenden, diese Erweiterung ermöglicht dies.

%package	tcl
Summary:	Pidgin extension, to use tcl scripting
Summary(de):	Pidgin Erweiterung, zur Verwendung von tcl Skripten.
Group: 		Networking/Instant messaging
Obsoletes:	gaim-tcl
Provides:	gaim-tcl
Requires: 	%name = %version-%release

%description	tcl
Pidgin can use tcl script as plugin, this plugin enable them.

#german
%description	tcl -l de
Pidgin kann tcl Skript als Erweiterung verwenden, diese Erweiterung ermöglicht dies.

%package	gevolution
Summary:	Pidgin extension, for Evolution integration
Summary(de):	Pidgin Erweiterung, zur Einbindung in Evolution.
Group:          Networking/Instant messaging
Obsoletes:	gaim-gevolution
Provides:	gaim-gevolution
Requires:       %{name} = %{version}-%release

%description	gevolution
This Pidgin plugin allows you to have pidgin working together with evolution.

#german
%description	gevolution -l de
Diese Pidgin Erweiterung erlaubt pidgin die Zusammenarbeit mit Evolution.

%package	silc
Summary:	pidgin extension, to use SILC (Secure Internet Live Conferencing)
Summary(de):	pidgin Erweiterung, zur Verwendung von SILC (sichere Internet Live Konferenz)
Group: 		Networking/Instant messaging
Obsoletes:	gaim-silc
Provides:	gaim-silc
Requires: 	%name = %version-%release

%description silc
This Pidgin plugin allows you to use SILC (Secure Internet Live Conferencing)
plugin for live video conference.

#german
%description silc -l de
Diese Pidgin Erweiterung erlaubt dir die Verwendung der SILC (Secure Internet Live Conferencing) Erweiterung für Live Video Konferenz.

%package -n %{libname}
Summary:	The libpurple library for IM clients like Pidgin and Finch
Summary(de):	Die libpurple Bibliothek für IM Clients nutzt Pidgin und Finch
Group:		System/Libraries

%description -n %{libname}
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

#german
%description -n %{libname} -l de
libpurple beinhaltet die Core IM Dateien zur Unterstützung der IM Clients für
Pidgin und Finch.


%package -n     %{name}-devel
Summary:        Development files for Pidgin
Summary(de):	Entwickler Dateien für Pidgin
Group:          Development/Libraries
Requires:       %{name} = %{version}-%release
Provides:       libpidgin-devel = %{version}-%release
Provides:       pidgin-devel = %{version}-%release
Obsoletes:      gaim-devel
Obsoletes:	gaim-client-devel
Obsoletes:	libgaim0-devel

%description -n %{name}-devel
This package contains development files needed for developing or
compiling Pidgin plugins.

#german
%description -n %{name}-devel -l de
Dieses Paket enthält Entwicklerdateien die zur Entwicklung oder zum compilieren von Pidgin Erweiterungen benötigt werden.

%package	bonjour
Summary:	Bonjour plugin for pidgin
Summary(de):	Bonjour Erweiterung für Pidgin
Group:		Networking/Instant messaging
Obsoletes:      gaim-bonjour
Provides:       gaim-bonjour
Requires:       %name = %version-%release

%description bonjour
Bonjour plugin for pidgin

#german
%description bonjour -l de
Bonjour Erweiterung für Pidgin

%package	meanwhile
Summary:	Lotus Sametime Community Client plugin for pidgin
Summary(de):	Lotus Sametime Community Client Erweiterung für Pidgin
Group:		Networking/Instant messaging
Obsoletes:	gaim-meanwhile
Provides:	gaim-meanwhile
Requires: 	%name = %version-%release

%description meanwhile
Lotus Sametime Community Client plugin for pidgin

#german
%description meanwhile -l de
Lotus Sametime Community Client Erweiterung für pidgin

%package	client
Summary:	PLugin and sample client to control pidgin
Summary(de):	Erweiterung und Beispiel Client zum Steuern von Pidgin
Group: 		Networking/Instant messaging
Requires:	python-dbus
Obsoletes:	libgaim-remote0, gaim-client
Provides:	libgaim-remote0, gaim-client
Requires: 	%name = %version-%release

%description	client
Applications and library to control GAIM remotely.

#german
%description	client -l de
Anwendungen und Bibliotheken zur entfernten GAIM Steuerung.

%package mono
Summary:        Pidgin extension, to use Mono plugins
Summary(de):	Pidgin Erweiterung, zur Verwendung von Mono Erweiterungen.
Group:		Networking/Instant messaging
Obsoletes:	gaim-mono
Provides:	gaim-mono
Requires: 	%name = %version-%release

%description	mono
Pidgin can use plugins developed with Mono.

#german
%description	mono -l de
Pidgin kann Erweiterungen verwenden die mit Mono entwickelt wurden.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch3 -p0
%patch15 -p1
%patch111 -p1
%patch115 -p1
%patch116 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1

%build
autoreconf -fi -Im4macros

export LDFLAGS="$LDFLAGS -ltinfo" 

%define _disable_ld_no_undefined 1
%configure2_5x \
	--enable-gnutls=no \
	--enable-nss=yes \
	--with-perl-lib=vendor \
%if %build_dbus
	--enable-dbus \
%else
	--disable-dbus \
%endif
%if %build_mono
	--enable-mono \
%else
	--disable-mono \
%endif
%if %build_evolution
	--enable-gevolution \
%else
	--disable-gevolution \
%endif
%if %build_vv
	--enable-vv \
%else
	--disable-vv \
%endif
	--without-krb4 \
	--enable-cyrus-sasl \
	--enable-cap \
        --disable-nm \
	--enable-screensaver

#gw parallel build doesn't work with the mono plugin
#make
%make -j1

%install
rm -rf %{buildroot}
%makeinstall_std mkinstalldirs='mkdir -p'

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Network" \
  --add-category="InstantMessaging" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# remove files not bundled
rm -f %{buildroot}%{_libdir}/*/*.la \
      %{buildroot}%{_libdir}/*/*.a \
      %{buildroot}%{_libdir}/lib*.la

%find_lang %{name}

%post
%post_install_gconf_schemas purple
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas purple

%postun
%clean_icon_cache hicolor


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYRIGHT ChangeLog
%doc NEWS README doc/the_penguin.txt
%{_mandir}/man1/pidgin.*
%{_sysconfdir}/gconf/schemas/purple.schemas
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/icons/*
%{_datadir}/sounds/purple
%{_libdir}/pidgin/cap.so
%{_libdir}/pidgin/convcolors.so
%{_libdir}/pidgin/extplacement.so
%{_libdir}/pidgin/gestures.so
%{_libdir}/pidgin/gtkbuddynote.so
%{_libdir}/pidgin/history.so
%{_libdir}/pidgin/iconaway.so
%{_libdir}/pidgin/markerline.so
%{_libdir}/pidgin/musicmessaging.so
%{_libdir}/pidgin/notify.so
%{_libdir}/pidgin/pidginrc.so
%{_libdir}/pidgin/relnot.so
%{_libdir}/pidgin/sendbutton.so
%{_libdir}/pidgin/spellchk.so
%{_libdir}/pidgin/themeedit.so
%{_libdir}/pidgin/ticker.so
%{_libdir}/pidgin/timestamp.so
%{_libdir}/pidgin/timestamp_format.so
%{_libdir}/pidgin/xmppconsole.so
%{_libdir}/pidgin/xmppdisco.so
%{_libdir}/pidgin/vvconfig.so
%doc %{_mandir}/man1/%{console_app}.*
%{_bindir}/%{console_app}
%{_libdir}/finch/
%{_libdir}/gnt/
%{_libdir}/libgnt.so.%{major}*
%{_datadir}/appdata/pidgin.appdata.xml

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libpurple.so.%{major}*
%dir %{_libdir}/purple-2
%{_libdir}/purple-2/autoaccept.so
%{_libdir}/purple-2/buddynote.so
%{_libdir}/purple-2/idle.so
%{_libdir}/purple-2/joinpart.so
%{_libdir}/purple-2/libaim.so
%{_libdir}/purple-2/libgg.so
%{_libdir}/purple-2/libicq.so
%{_libdir}/purple-2/libirc.so
%{_libdir}/purple-2/libmsn.so
%{_libdir}/purple-2/libmyspace.so
%{_libdir}/purple-2/libnovell.so
%{_libdir}/purple-2/libsimple.so
%{_libdir}/purple-2/libxmpp.so
%{_libdir}/purple-2/libymsg.so*
%{_libdir}/purple-2/libyahoo.so
%{_libdir}/purple-2/libyahoojp.so
%{_libdir}/purple-2/libzephyr.so
%{_libdir}/purple-2/log_reader.so
%{_libdir}/purple-2/newline.so
%{_libdir}/purple-2/offlinemsg.so
%{_libdir}/purple-2/psychic.so
%{_libdir}/purple-2/ssl-nss.so
%{_libdir}/purple-2/ssl.so
%{_libdir}/purple-2/statenotify.so
%{_libdir}/purple-2/libmxit.so
%{_libdir}/purple-2/libbonjour.so
%{_libdir}/purple-2/libjabber.so
%{_libdir}/purple-2/liboscar.so
%{_libdir}/purple-2/nss-prefs.so

%dir %_datadir/purple/
%dir %_datadir/purple/ca-certs
%_datadir/purple/ca-certs/*

%files -n %{name}-devel
%defattr(-,root,root)
%doc ChangeLog.API HACKING PLUGIN_HOWTO
%{_includedir}/*
%{_datadir}/aclocal/purple.m4
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libpurple.so
%{_libdir}/libgnt.so
%{_libdir}/libpurple-client.so


%files perl
%defattr(-,root,root)
%doc doc/PERL-HOWTO.dox
%dir %_libdir/%name/perl
%_libdir/%name/perl/Pidgin.pm
%dir %_libdir/%name/perl/auto
%dir %_libdir/%name/perl/auto/Pidgin/
%_libdir/%name/perl/auto/Pidgin/Pidgin.so
%dir %{_libdir}/purple-2/perl
%{_libdir}/purple-2/perl/Purple.pm
%dir %{_libdir}/purple-2/perl/auto
%dir %{_libdir}/purple-2/perl/auto/Purple/
%{_libdir}/purple-2/perl/auto/Purple/Purple.so
%{_libdir}/purple-2/perl.so
%{_mandir}/man3*/*
/usr/lib/perl5/*/perllocal.pod
%{_libdir}/pidgin/perl/auto/Pidgin/.packlist
%{_libdir}/pidgin/perl/auto/Pidgin/Pidgin.bs
%{_libdir}/purple-2/perl/auto/Purple/.packlist
%{_libdir}/purple-2/perl/auto/Purple/Purple.bs
%{_libdir}/purple-2/perl/auto/Purple/autosplit.ix


%files tcl
%defattr(-,root,root)
%doc COPYING
%{_libdir}/purple-2/tcl.so

%if %build_silc
%files silc
%defattr(-,root,root)
%doc libpurple/protocols/silc/README
%endif

%if %build_evolution
%files gevolution
%defattr(-,root,root)
%doc COPYING
%{_libdir}/%{name}/gevolution.so
%endif

%if %build_meanwhile
%files meanwhile
%defattr(-,root,root)
%{_libdir}/purple-2/libsametime.so
%endif

%if %build_dbus
%files client
%defattr(-,root,root)
%doc COPYRIGHT
%{_bindir}/purple-remote
%{_bindir}/purple-send
%{_bindir}/purple-send-async
%{_bindir}/purple-client-example
%{_bindir}/purple-url-handler
%{_libdir}/libpurple-client.so.0*
%{_libdir}/purple-2/dbus-example.so
%endif

%if %build_mono
%files mono
%defattr(-,root,root)
%doc COPYING
%{_libdir}/purple-2/mono.so
%{_libdir}/purple-2/*.dll
%endif

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sun Nov 20 2016 adrianomorselli <adrianomorselli> 2.11.0-1uplos2016
- rebuild

* Tue Jun 21 2016 bb <bb> 2.11.0-1pclos2016
- update

* Fri Jan 01 2016 bb <bb> 2.10.12-1pclos2016
- update

* Thu Dec 03 2015 bb <bb> 2.10.11-4pclos2015
- adjust build option

* Mon Oct 26 2015 bb <bb> 2.10.11-3pclos2015
- rebuild for updates

